%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         spacemonkeygo
%global repo            spacelog
# https://github.com/spacemonkeygo/spacelog
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          ae95ccc1eb0c8ce2496c43177430efd61930f7e4
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%define rel 0.2

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        %mkrel %{rel}.git%{shortcommit}
Summary:        Hierarchical, leveled, and structured logging library for Go
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:      noarch
Group:          Development/Other

%description
%{summary}.

%package devel
Summary:       %{summary}

BuildRequires: golang >= 1.2.1-3
BuildRequires: golang(github.com/spacemonkeygo/flagfile/utils)

Requires:      golang(github.com/spacemonkeygo/flagfile/utils)

Provides:      golang(%{import_path}) = %{version}-%{release}
Provides:      golang(%{import_path}/setup) = %{version}-%{release}

%description devel
%{summary}.

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep

%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check


%files devel
%license LICENSE
%doc README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}



%changelog
* Wed Mar 29 2023 daviddavid <daviddavid> 0-0.2.gitae95ccc.mga9
+ Revision: 1950718
- Mageia 9 Mass Rebuild

* Fri Jul 31 2015 joequant <joequant> 0-0.1.gitae95ccc.mga8
+ Revision: 860096
- imported package golang-github-spacemonkeygo-spacelog


* Mon Jun 15 2015 Marek Skalicky <mskalick@redhat.com> - 0-0.1.gitae95ccc
- First package for Fedora
  resolves: #1232231
